#!/usr/bin/ksh93
#############################################################
# Program:	mkAdminForm.cgi
#               Copyright 2006, All Rights Reserved
#
# Description:	Version 0.3	
#
# Author:	Dana French (dfrench@mtxia.com)
#		615.556.0456
#
# Date:		20061024
#
#############################################################
# DOCUMENT_ROOT comes from the web server shell environment
DOCUMENT_BASE="/kshAuth/"
DOCUMENT_DIR="${DOCUMENT_ROOT}${DOCUMENT_BASE}"
SCRIPT_DIR="${SCRIPT_FILENAME%/*}"
SCRIPT_CGI="${SCRIPT_NAME%/*}"
FPATH="${SCRIPT_DIR}"
SEARCHTERM=""

parseVars
initializeDoc
displayHeader
defineLocations
linkbar CURRENTDIR DDDIR
defineStructInfo
displayStructInfo INFODES INFOVAL

################################################################

print -- "<P><FONT Size=\"+1\">

This form enables the directory administrator to create additional
directory administrators under the current directory administration
authorization level.

</FONT></P>
<P><HR></P>"

################################################################

print -- "<FORM Method=\"POST\" Action=\"mkAdmin.cgi\">"
print -- "<INPUT Type=\"hidden\" Name=\"DDDIR\" Value=\"${DDDIR}\">"

print -- "
<P>
<TABLE Border=\"0\">
<P>
  <CAPTION>
    <FONT Size=\"+2\"><STRONG>
Create New Directory Administrators</STRONG>
    </STRONG></FONT>
  </CAPTION>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
Administrator ID:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>"

################################################################

print -- "<SELECT Name=\"ADM_USERID\">"
print -- "<OPTION Value=\"NULL\" Selected>Select an ID</OPTION>"
IFS=$'\n'
for ADMID in $( awk -F: '{ print $1 }' < "${ADMPWDFILE}" )
do
  print -- "<OPTION Value=\"${ADMID}\">${ADMID}</OPTION>"
done
IFS=$' \t\n'
print -- "</SELECT>"

################################################################

print -- "      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>
Enter the administrator's ID.  Only the administrator is permitted to
grant or deny access to users. The administrator ID can be up to 8
characters and must  contain only letters, numbers or spaces.
      </I></FONT>

<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
Admin Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"ADM_PASSWORD\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>
Enter the administrator's Password.  Only the administrator is permitted to
grant or deny access to users. The administrator ID can be up to 8
characters and must  contain only letters, numbers or spaces.
      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
New Directory Administrator ID:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"text\" Name=\"USERID\" Size=\"48\" Maxlength=\"256\">"

################################################################

print -- "<SELECT Name=\"ADMINLIST\">"
print -- "<OPTION Value=\"NULL\" Selected>Existing Administrator List</OPTION>"
IFS=$'\n'
for USRID in $( awk -F: '{ print $1 }' "${ADMPWDDIR}"/.AID_* )
do
  print -- "<OPTION Value=\"${USRID}\">${USRID}</OPTION>"
done
IFS=$' \t\n'
print -- "</SELECT>"

################################################################

print -- "      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Enter one or more administrator ID's to add to the current directory
administration authorization structure. The administrator ID can be up
to 8 characters and must contain only letters or numbers.  Multiple
names may be entered separated by a space, comma, colon, or pipe symbol.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"NEW_PASSWORD\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Enter the password of the person to whom access is being granted.  The
password can be up to 8 characters and must  contain only letters,
numbers or spaces.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
Retype Password:
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"password\" Name=\"NEW_RETYPEPW\" Size=\"8\" Maxlength=\"8\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Retype the password of the person to whom access is being granted.  The
password can be up to 8 characters and must  contain only letters,
numbers or spaces.

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
<P>
  <TR>
    <TD Align=\"right\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
&nbsp;
      </STRONG></FONT>
    </TD>
    <TD Align=\"left\" Valign=\"top\">
      <FONT Size=\"+1\"><STRONG>
<INPUT Type=\"submit\" Value=\"Submit\">
      </STRONG></FONT>
<BR>
      <FONT Size=\"-1\"><I>

Add additional directory administrator(s).

      </I></FONT>
<HR>
    </TD>
  </TR>
</P>
</TABLE>
</P>
</FORM>
"

################################################################

linkbar CURRENTDIR DDDIR
displayReadme
finalizeDoc

exit 0
